> # NAME

> LightType - 3D API light type

> # USAGE

> LightType[i] = int(type)

> # VALID ENUMERANTS

> type: integer value

> # DESCRIPTION

> Specify the type of light source. See the Type member of the D3DLIGHT9 argument to IDirect3DDevice9::SetLight method.

> The standard reset callback sets the LightType[i] state to int(Point).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> LightAmbient, LightAttenuation0, LightAttenuation1, LightAttenuation2, LightConstantAttenuation, LightDiffuse, LightDirection, LightEnable, LightFalloff, LightLinearAttenuation, LightModelAmbient, LightModelColorControl, LightModelLocalViewerEnable, LightModelTwoSideEnable, LightPhi, LightPosition, LightQuadraticAttenuation, LightRange, LightSpecular, LightSpotCutoff, LightSpotDirection, LightSpotExponent, LightTheta, LightingEnable